<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.ProjectManagementMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.ProjectManagement">
        <id column="id" property="id" />
        <result column="dealership_id" property="dealershipId" />
        <result column="project_name" property="projectName" />
        <result column="script_version" property="scriptVersion" />
        <result column="script_publish_time" property="scriptPublishTime" />
        <result column="salesperson_count" property="salespersonCount" />
        <result column="avg_recording_duration" property="avgRecordingDuration" />
        <result column="step" property="step" />
        <result column="group_name" property="groupName" />
        <result column="create_time" property="createTime" />
        <result column="description" property="description" />
        <result column="status" property="status" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, dealership_id, project_name, script_version, script_publish_time, salesperson_count, avg_recording_duration, step, group_name, create_time, description, status, update_time
    </sql>

</mapper>
